[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Please test/upgrade to hurd_20070606-2

On Thu, Aug 02, 2007 at 11:58:48AM +0200, Thomas Schwinge wrote:
> It seems to me that you already uploading packages to Debian unstable
> that depend on ``libc0.3 (>= 2.6-1)'', `xsltproc' and some libraries, for
> example.

Wow, we have users!?
> Perhaps now would be the right moment to upload glibc 2.6 for Hurd as
> well?

Actually, I thought about reverting to glibc-2.5 for the buildd again,
because I got a couple of GPF's all at


About glibc-2.6, it FTBFS currently; -5 introduced some glibc-2-6-branch
backport which conflicted with one of the patches Samuel introduced, and
when I disabled debian/patches/hurd-i386/local-gscope.diff, I got:

gcc-4.2   -nostdlib -nostartfiles -shared -o
                  -Wl,-z,combreloc -Wl,-z,relro -Wl,--hash-style=both
-Wl,-z,defs       \
                  -Wl,-soname=ld.so.1 -T
/build/mbanck/glibc-2.6/build-tree/hurd-i386-libc/elf/librtld.os: In
function `add_to_global':
undefined reference to `atomic_write_barrier'
/build/mbanck/glibc-2.6/build-tree/hurd-i386-libc/elf/librtld.os: In
function `dl_open_worker':
undefined reference to `atomic_write_barrier'
collect2: ld returned 1 exit status
make[3]: ***
[/build/mbanck/glibc-2.6/build-tree/hurd-i386-libc/elf/ld.so] Error 1

Anybody know about this?


Reply to: